.baihe_design {
    position: relative;
    min-height: 600px;
}

.baihe_design>svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.baihe_design_content {
    position: relative;
    width: 100%;
    min-height: 600px;
    padding: 80px 0;
}

.baihe_design_content .container {
    display: flex;
    flex-direction: column;
}

.baihe_design_title {
    text-align: center;
    font-size: var(--title-size-h2);
    font-weight: 700;
    line-height: 1.5;
    text-transform: uppercase;
    color: var(--title-text-color);
    font-family: var(--title-font-family);
}

.baihe_design_title b {
    color: var(--color-primary);
}

.baihe_design_desc {
    text-align: center;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    color: var(--text-color);
    max-width: 48%;
    margin: 0 auto;
}

.baihe_design_list {
    display: flex;
    flex-wrap: wrap;
    margin-top: var(--component-gap);
}

.baihe_design_list .baihe_design_item_line {
    transform: translateY(12%);
}

.baihe_design_list .svg {
    flex-shrink: 0;
}

.baihe_design_item {
    width: calc(20% - 28.8px);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.baihe_design_item_icon {
    width: 32%;
    aspect-ratio: 1/1;
    object-fit: cover;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 3px solid rgba(242, 177, 75, 0.5);
}

.baihe_design_item_icon span {
    width: 86%;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: #fff;
    font-size: 30px;
    font-weight: 600;
    line-height: 1;
}

.baihe_design_item_title {
    color: var(--title-text-color);
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    margin-top: 19px;
    text-align: center;
    font-family: var(--font-medium-family);
}

.baihe_design_item_desc {
    text-align: center;
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 11px;
    max-height: calc(var(--text-size) * 1.625 * 3);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}

.baihe_design_bottom {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 100px;
    margin-top: var(--component-gap);
}

.baihe_design_bottom img {
    width: 49%;
    aspect-ratio: 735/535;
    object-fit: cover;
    border-radius: 100px 20px;
}

.baihe_design_content_title {
    position: relative;
    color: var(--title-text-color);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
    font-family: var(--title-font-family);
}

.baihe_design_content_title::before {
    content: '';
    position: absolute;
    bottom: -16px;
    left: 0;
    width: 50px;
    height: 3px;
    background: var(--color-second);
    border-radius: 3px;
}

.baihe_design_content_title_line {
    width: 100%;
    height: 1px;
    background: #D9D9D9;
    margin-top: 16px;
}

.baihe_design_content_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 23px;
    height: calc(var(--text-size) * 1.625 * 4);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
}

.baihe_design_content_list {
    display: flex;
    flex-wrap: wrap;
    gap: 18px;
    margin-top: 10px;
}

.baihe_design_content_item {
    width: calc(50% - 9px);
    display: flex;
    flex-direction: column;
    gap: 3px;
    padding-left: 13px;
}

.baihe_design_content_item_title {
    color: var(--color-second);
    font-size: 20px;
    font-weight: 500;
    line-height: 1.8;
    position: relative;
    font-family: var(--font-medium-family);
}

.baihe_design_content_item_title::before {
    content: '';
    position: absolute;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: var(--color-primary);
    left: -14px;
    top: 50%;
    transform: translateY(-50%);
}

.baihe_design_content_item_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    max-height: calc(var(--text-size) * 1.625 * 3);
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}

@media screen and (max-width: 1200px) {
    .baihe_design_item_icon span {
        font-size: 24px;
    }

    .baihe_design_list .baihe_design_item_line {
        transform: translateY(4%);
    }

    .baihe_design_content_item_title {
        font-size: 16px;
    }

    .baihe_design_bottom {
        gap: 50px;
    }
}

@media screen and (max-width: 992px) {
    .baihe_design_desc {
        max-width: 100%;
    }

    .baihe_design_list {
        flex-wrap: wrap;
    }

    .baihe_design_item {
        width: calc(33.3% - 36px);
        margin-bottom: 20px;
    }

    .baihe_design_bottom {
        flex-direction: column;
        gap: 30px;
    }

    .baihe_design_bottom img {
        width: 100%;
        aspect-ratio: 735 / 403;
        border-radius: 20px;
    }

    .baihe_design {
        padding-bottom: 30px;
    }
}
@media screen and (max-width: 768px) {
    .baihe_design_item{
        width: calc(50% - 36px);
    }
}
@media screen and (max-width: 576px) {
    .baihe_design_item_icon span{
        font-size: 18px;
    }
}